[Wine] First crack at this! Could use advice on a few questions...

James McKenzie jjmckenzie51 at earthlink.net
Sun May 10 23:48:27 CDT 2009

Phreakwenci wrote:
> Ok when I tried installing thru winetrix I got this message in terminal:
> curl http://www.kegel.com/wine/winetricks > /tmp/winetricks
>   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
>                                  Dload  Upload   Total   Spent    Left  Speed
> 100 71736  100 71736    0     0  43464      0  0:00:01  0:00:01 --:--:-- 76403
> Rampant-Lion-3:~ Jan$ export PATH=$PATH:/Applications/Darwine/Wine.bundle/Contents/bin:~/Applications/Darwine/Wine.bundle/Contents/bin:"/Applications/TRiX.app/Contents/Resources/bin"
> Rampant-Lion-3:~ Jan$ sh /tmp/winetricks -q gecko dcom98
> wine client error:3e: version mismatch 386/339.
> Your wine binary was not upgraded correctly,
> or you have an older one somewhere in your PATH.
> Or maybe the wrong wineserver is still running?
> wine cmd.exe /c echo '%ProgramFiles%' returned empty string

Please do the following:

Open the Applications folder
Open the Utilities folder
Start the Terminal program
Expand it to the point where the top bar states 200x24 (or something
Type in ps -ef | grep winehelper
This will give you a line of information you are interested in the
second number
type in kill -term <second number from above>

I don't know which version of Wine for MacOSX you are using and this is
the quickest method to stop winehelper.

Start the Wine process again.  You should NOT get this error message. 
If you are please advise of the following:

Version of MacOSX you are using.
The processor type from about this mac

The version of Wine for MacOSX you are using, and where you obtained it
(Zach Drayer, Mike Kronenberg, MacPorts, Fink, etc.)

The error you received above is a version mismatch between Winehelper
and the attempted version of wine you are running.

James McKenzie

More information about the wine-users mailing list